Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# heapsort.h File Reference

`#include "irrTypes.h"`

Go to the source code of this file.

## Namespaces

namespace | irr

| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::core

| Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.

## Functions

template<class T >
void | irr::core::heapsink (T *array, s32 element, s32 max)
| Sinks an element into the heap.
template<class T >
void | irr::core::heapsort (T *array_, s32 size)
| Sorts an array with size 'size' using heapsort.

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Feb 14 13:06:58 2010 by Doxygen (1.6.2)